# Uses of Class
org.apache.sysds.runtime.instructions.gpu.context.ExecutionConfig

Packages that use ExecutionConfig
Package
Description
org.apache.sysds.runtime.instructions.gpu.context

## Uses of ExecutionConfig in org.apache.sysds.runtime.instructions.gpu.context

Methods in org.apache.sysds.runtime.instructions.gpu.context that return ExecutionConfig
Modifier and Type
Method
Description
`static ExecutionConfig`
ExecutionConfig.`getConfigForSimpleMatrixOperations(int rlen, int clen)`
Use this for simple vector operations and use following in the kernel `int index = blockIdx.x * blockDim.x + threadIdx.x`
`static ExecutionConfig`
ExecutionConfig.`getConfigForSimpleVectorOperations(int numCells)`
Use this for simple vector operations and use following in the kernel `int index = blockIdx.x * blockDim.x + threadIdx.x`
Methods in org.apache.sysds.runtime.instructions.gpu.context with parameters of type ExecutionConfig
Modifier and Type
Method
Description
`void`
JCudaKernels.`launchKernel(String name, ExecutionConfig config, Object... arguments)`
Setups the kernel parameters and launches the kernel using cuLaunchKernel API.